local L = LibStub("AceLocale-3.0"):GetLocale("SliceCommander")
----------------------SPELLID-----------------------

SC_SPELLID = {}

--GLOBAL
SC_SPELLID['KS'] = 		408		--Kidney Shot
SC_SPELLID['KSCD'] = 	408		--Kidney Shot CD
SC_SPELLID['CS'] = 		1833	--Cheap Shot
SC_SPELLID['VANCD'] = 	1856	--Vanish CD
SC_SPELLID['FE'] = 		1966	--Feint
SC_SPELLID['FECD'] = 	1966	--Feint CD
SC_SPELLID['TOTCD'] = 	57934	--Tricks of the Trade CD
SC_SPELLID['SUB'] = 	115192	--Subterfuge
SC_SPELLID['SS'] = 		36554	--Shadowstep
SC_SPELLID['SSCD'] = 	36554	--Shadowstep
SC_SPELLID['CDCD'] = 	45181	--Cheated Death CD
SC_SPELLID['AC'] =		193538	--Alacrity
SC_SPELLID['MDCD'] =	137619	--Marked for Death CD
SC_SPELLID['DFACD'] =	269513	--Death from Above CD
SC_SPELLID['CV'] =		185311	--Crimson Vial
SC_SPELLID['CVCD'] =	185311	--Crimson Vial CD
SC_SPELLID['MAI'] =		235027	--Master Assassin's Initiative
SC_SPELLID['KICD'] = 	1766	--Kick CD
SC_SPELLID['COS'] =		31224	--Cloak of Shadows
SC_SPELLID['COSCD'] =	31224	--Cloak of Shadows CD
SC_SPELLID['EVA'] =		5277	--Evasion
SC_SPELLID['EVACD'] =	5277	--Evasion CD
SC_SPELLID['SPR'] =		2983	--Sprint
SC_SPELLID['SPRCD'] =	2983	--Sprint CD
SC_SPELLID['SHICD'] = 	5938	--Shiv CD
SC_SPELLID['COBCD'] = 	382245	--Cold Blood CD
SC_SPELLID['TLT'] = 	381623	--Thistle Tea
SC_SPELLID['TLTCD'] = 	381623	--Thistle Tea CD
SC_SPELLID['IP'] = 		315584  --Instant Poison
SC_SPELLID['CRP'] = 	3408	--Crippling Poison
SC_SPELLID['WP'] = 		8679	--Wound Poison
SC_SPELLID['AKP'] = 	5761	--Ankylosant Poison
SC_SPELLID['ATP'] = 	381637	--Atrophic Poison


--AZERITE ESSENCE
SC_SPELLID['ESSECD'] = -1
SC_SPELLID['ALLESSE'] = {
	[4] = {--Worldvein Resonance
		[1] = 295186,
		[2] = 298628,
		[3] = 299334,
		[4] = 299334
	},
	[5] = {--Essence of the Focusing Iris
		[1] = 295258,
		[2] = 299336,
		[3] = 299338,
		[4] = 299338
	},
	[6] = {--Purification Protocol
		[1] = 295337,
		[2] = 299345,
		[3] = 299347,
		[4] = 299347
	},
	[12] = {--The Crucible of Flame
		[1] = 295373,
		[2] = 299349,
		[3] = 299353,
		[4] = 299353
	},
	[14] = {--Condensed Life-Force
		[1] = 295840,
		[2] = 299355,
		[3] = 299358,
		[4] = 299358
	},
	[15] = {--Ripple in Space
		[1] = 302731,
		[2] = 302982,
		[3] = 302983,
		[4] = 302983
	},
	[22] = {--Vision of Perfection
		[1] = 296325,
		[2] = 299368,
		[3] = 299370,
		[4] = 299370
	},
	[23] = {--Blood of the Enemy
		[1] = 297108,
		[2] = 298273,
		[3] = 298277,
		[4] = 298277
	},
	[27] = {--Memory of Lucid Dreams
		[1] = 298357,
		[2] = 299372,
		[3] = 299374,
		[4] = 299374
	},
	[28] = {--The Unbound Force
		[1] = 298452,
		[2] = 299376,
		[3] = 299378,
		[4] = 299378
	},
	[32] = {--Conflict and Strife
		[1] = 303823,
		[2] = 304088,
		[3] = 304121,
		[4] = 304121
	},
	[35] = {--Reaping Flames
		[1] = 310690,
		[2] = 311194,
		[3] = 311195,
		[4] = 311195
	}
}



SC_SPELLID['ERCD'] = 	385616	--Echoing Reprimand
SC_SPELLID['ER'] = 	    323559	--Echoing Reprimand
SC_SPELLID['SBSCD'] = 	385424	--Serrated Bone Spike
SC_SPELLID['SBS'] = 	394036	--Serrated Bone Spike
SC_SPELLID['SP'] = 		385408	--Sepsis
SC_SPELLID['SPCD'] = 	385408	--Sepsis
SC_SPELLID['FLA'] = 	384631	--Flagellation
SC_SPELLID['FLACD'] = 	384631	--Flagellation

SC_SPELLID['ER2'] = 	323558	--Echoing Reprimand 2CP
SC_SPELLID['ER3'] = 	323559	--Echoing Reprimand 3CP
SC_SPELLID['ER4'] = 	323560	--Echoing Reprimand 4CP
SC_SPELLID['ER5'] = 	354838	--Echoing Reprimand 4CP


--OUTLAW
SC_SPELLID['SND'] = 	315496	--Slice and Dice
SC_SPELLID['AR'] = 		13750	--Adrenaline Rush
SC_SPELLID['ARCD'] = 	13750	--Adrenaline Rush CD
SC_SPELLID['BF'] = 		13877	--Blade Flurry
SC_SPELLID['BFCD'] = 	13877	--Blade Flurry CD
SC_SPELLID['KSPCD'] = 	51690	--Killing Spree CD
SC_SPELLID['GS'] =		196937	--Ghostly Strike
SC_SPELLID['GSCD'] =	196937	--Ghostly Strike CD
SC_SPELLID['GHCD'] =	195457	--Grappling Hook CD
SC_SPELLID['BE'] =		315341	--Between the Eyes
SC_SPELLID['BECD'] =	315341	--Between the Eyes CD
SC_SPELLID['OP'] =		195627	--Opportunity
SC_SPELLID['RB'] =		315508	--Roll the Bones
SC_SPELLID['RBCD'] =	315508	--Roll the Bones
SC_SPELLID['SC'] =		199603	--Roll the Bones: Skull and Crossbones
SC_SPELLID['GM'] =		193358	--Roll the Bones: Grand Melee
SC_SPELLID['RP'] =		193357	--Roll the Bones: Ruthless Precision
SC_SPELLID['TB'] =		193359	--Roll the Bones: True Bearing
SC_SPELLID['BT'] =		199600	--Roll the Bones: Buried Treasure
SC_SPELLID['BS'] =		193356	--Roll the Bones: Broadsides
SC_SPELLID['CDB'] =		343142	--Curse of the Dreadblades
SC_SPELLID['CDBCD'] =	343142	--Curse of the Dreadblades CD
SC_SPELLID['GSWW'] =	209423	--Greenskin's Waterlogged Wristcuffs
SC_SPELLID['PS'] =		185763	--Cannonball Barrage
SC_SPELLID['RT'] =		208225	--Run Through
SC_SPELLID['LD'] =		256171	--Loaded Dice 
SC_SPELLID['BRCD'] =	271877	--Blade Rush CD
SC_SPELLID['GG'] =		1776	--Gouge
SC_SPELLID['GGCD'] =	1776	--Gouge CD
SC_SPELLID['KIRCD'] =	381989	--Keep It Rolling
SC_SPELLID['AUD'] =		386270	--Audacity

--ASSASSINAT
SC_SPELLID['ENV'] = 	32645	--Envenom
SC_SPELLID['RUP'] = 	1943	--Rupture
SC_SPELLID['GAR'] = 	703		--Garrote
SC_SPELLID['GARCD'] = 	703		--Garrote CD
SC_SPELLID['DTM'] = 	360194	--Deathmark
SC_SPELLID['DTMCD'] =	360194	--Deathmark CD
SC_SPELLID['EP'] =		193641	--Elaborate Planning
SC_SPELLID['DP'] = 		2818	--Deadly Poison
SC_SPELLID['DPB'] = 	2823	--Deadly Poison Buff
SC_SPELLID['EXCD'] = 	200806	--Exsanguinate CD
SC_SPELLID['KB'] = 		385627	--Kingsbane
SC_SPELLID['KBCD'] = 	385627	--Kingsbane CD
SC_SPELLID['BA'] = 		192925	--Blood of the Assassinated
SC_SPELLID['ST'] = 		192425	--Surge of Toxins
SC_SPELLID['BLS'] = 	121153	--Blindside
SC_SPELLID['MA'] =		256735	--Master Assassin
SC_SPELLID['CT'] = 		121411	--Crimson Tempest
SC_SPELLID['ICCD'] = 	381802	--Indiscriminate Carnage

--SUBLETY
SC_SPELLID['SD'] = 		185422	--Shadow Dance
SC_SPELLID['SDCD'] = 	185313	--Shadow Dance CD
SC_SPELLID['SB'] = 		121471	--Shadow Blades
SC_SPELLID['SBCD'] =	121471	--Shadow Blades CD
SC_SPELLID['SOD'] = 	212283	--Symbols of Death
SC_SPELLID['SODCD'] = 	212283	--Symbols of Death CD
SC_SPELLID['GB'] = 		209782	--Goremaw's Bite
SC_SPELLID['GBCD'] = 	209782	--Goremaw's Bite CD
SC_SPELLID['SHT'] = 	277925	--Shuriken Tornado
SC_SPELLID['SHTCD'] = 	277925	--Shuriken Tornado CD
SC_SPELLID['STHCD'] = 	280719	--Secret Technique CD
SC_SPELLID['FW'] =		316220	--Find Weakness

--OTHER
SC_SPELLID['DS'] =		193531	--Deeper Stratagem
SC_SPELLID['CP'] =		L["Combo Points"]
SC_SPELLID['THREAT'] =	L["Threat"]
SC_SPELLID['HEALTH'] =	L["Your health"]
SC_SPELLID['THEALTH']=	L["Target health"]


SC_SPELL = {}
SC_SPELL_ICON = {}

--GLOBAL
for k, v in pairs(SC_SPELLID) do
	if tonumber(v) ~= nil then
		SC_SPELL[k], _, SC_SPELL_ICON[k] = GetSpellInfo(v)
	else
		SC_SPELL[k] = v
	end
end
if SC_SPELL['ESSECD'] == nil then
	SC_SPELL['ESSECD'] = L['Essence']
end
--REMOVED SC_SPELLID['SUMSCD'] = 	324739	--Summon Steward (Kyrian)
--REMOVED SC_SPELLID['FCCD'] = 	324631	--Fleshcraft (Necrolord)
--REMOVED SC_SPELLID['SOSCD'] = 	310143	--Soulshape (Night Fae)
--REMOVED SC_SPELLID['DOSCD'] = 	300728	--Door of Shadows (Venthyr)
--REMOVED SC_SPELL['ANT'] =	GetSpellInfo(114015)--Anticipation
--REMOVED SC_SPELL['HEM'] = GetSpellInfo(16511)	--Hemorrhage
--REMOVED SC_SPELL['PA'] =	GetSpellInfo(199743)--Parley
--REMOVED SC_SPELL['CB'] =	GetSpellInfo(185767)--Cannonball Barrage
--REMOVED SC_SPELL['EA'] = 	GetSpellInfo(113746)--Expose Armor
--REMOVED SC_SPELL['RS'] = 	GetSpellInfo(84617)	--Revealing Strike
--REMOVED SC_SPELL['REC'] =	GetSpellInfo(73651)	--Recuperate
--REMOVED SC_SPELL['BG'] = 	GetSpellInfo(84654)	--Bandit's Guile
--REMOVED SC_SPELL_BG1 = 	GetSpellInfo(84745)	--Bandit's Guile
--REMOVED SC_SPELL_BG2 = 	GetSpellInfo(84746)	--Bandit's Guile
--REMOVED SC_SPELL_BG3 = 	GetSpellInfo(84747)	--Bandit's Guile
--REMOVED SC_SPELL['DIS'] =	GetSpellInfo(111240)--Dispatch
--REMOVED SC_SPELLID['RIP'] = 199754	--Riposte
--REMOVED SC_SPELLID['RIPCD'] =	199754	--Riposte CD
--REMOVED SC_SPELLID['TXB'] =   	245389	--Toxic Blade
--REMOVED SC_SPELLID['TXBCD'] = 	245388	--Toxic Blade CD
--REMOVED SC_SPELLID['NB'] = 		195452	--Nightblade
--REMOVED SC_SPELLID['SOTD'] =  	109941	--Shadow of the Destroyer
--REMOVED SC_SPELLID['FOTD'] =  	109949	--Fury of the Destroyer
--REMOVED SC_SPELLID['BB'] =		202895	--Blunderbuss
--REMOVED SC_SPELLID['VEN'] = 	79140	--Vendetta
--REMOVED SC_SPELLID['VENCD'] =	79140	--Vendetta CD